Bug 431066 - [intel-driver] : Display LG 1800P 309WA not working
[intel-driver] : Display LG 1800P 309WA not working
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.1
All Linux
high Severity high
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
:
Depends On:
Blocks: 436140
  Show dependency treegraph
 
Reported: 2008-01-31 10:45 EST by Alan Matsuoka
Modified: 2010-10-22 18:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHEA-2008-0420
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:35:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sosreport (515.63 KB, application/x-bzip2)
2008-01-31 10:45 EST, Alan Matsuoka
no flags Details
xorg.conf of affected machine (567 bytes, text/plain)
2008-01-31 10:45 EST, Alan Matsuoka
no flags Details
Xorg.0.log from the sysreport (36.42 KB, text/plain)
2008-01-31 17:05 EST, Matěj Cepl
no flags Details
Xorg log file when external display connected via DVI (internal panel closed) (39.21 KB, text/plain)
2008-02-01 05:47 EST, Navid Sheikhol-Eslami
no flags Details
Xorg log file when external display connected via DVI (internal panel open) (39.21 KB, text/plain)
2008-02-01 05:48 EST, Navid Sheikhol-Eslami
no flags Details

  None (edit)
Description Alan Matsuoka 2008-01-31 10:45:15 EST
rhel-i386-client-5
non RHEL kernel (2.6.18-58.el5.sierra0)
test package xorg-x11-drv-i810-1.6.5-9.6.0.2.el5


1. Provide time and date of the problem

Any time you try to connect an external display, the resolution is wrong.


  2. Provide clear and concise problem description as it is understood at the
time of escalation

The customer mention:

wrong resolutin -> 1152x864
The xorg logs file  mention "1280x800", so i guess he was expecting 1152x864 but
only got 1280x800.

He also mention a crash with 'gnome-display-properties'

I would normally ask to reproduce this with a supported package (kernel and
xorg), but , the test package comes from another related issue IT#124575
bz#245075 and maybe it would be worth escalating this directly to engineering as
a feedback on the test package.

  3. State specific action requested of SEG

Let me know if escalating this to engineering is the way to go or if i shall ask
the customer to reproduce the problem on a supported platform.

  4. State whether or not a defect in the product is suspected
Yes.

         * Provide Bugzilla if one already exists

BZ#245075
Comment 1 Alan Matsuoka 2008-01-31 10:45:15 EST
Created attachment 293591 [details]
sosreport
Comment 2 Alan Matsuoka 2008-01-31 10:45:51 EST
Created attachment 293592 [details]
xorg.conf of affected machine
Comment 3 Matěj Cepl 2008-01-31 17:05:45 EST
Created attachment 293656 [details]
Xorg.0.log from the sysreport
Comment 4 Navid Sheikhol-Eslami 2008-02-01 05:46:10 EST
The Xorg.0.log included in the sosreport is not relevant, I'm attaching the Xorg
log files for each test case:

#1st Test: T61 connected via DVI to the external Display, laptop panel closed.

Result: wrong resolutin -> 1152x864

gnome-display-properties results in the following error:
bash-3.1$ gnome-display-properties

The program 'gnome-display-properties' received an X Window System error.

This probably reflects a bug in the program.

The error was 'BadImplementation (server does not implement operation)'.

 (Details: serial 91 error_code 17 request_code 155 minor_code 5)

 (Note to programmers: normally, X errors are reported asynchronously;

  that is, you will receive the error a while after causing it.

  To debug your program, run it with the --sync command line

  option to change this behavior. You can then get a meaningful

  backtrace from your debugger if you break on the gdk_x_error() function.)


#2nd Test: The same test than #1st test but laptops display is open:

Result: Same (wrong) resolution on the external display as in #1st test but
laptops display is black.
Comment 5 Navid Sheikhol-Eslami 2008-02-01 05:47:21 EST
Created attachment 293707 [details]
Xorg log file when external display connected via DVI (internal panel closed)
Comment 6 Navid Sheikhol-Eslami 2008-02-01 05:48:39 EST
Created attachment 293708 [details]
Xorg log file when external display connected via DVI (internal panel open)
Comment 8 Joachim Schröder 2008-02-26 05:30:42 EST
update from customer:
---snip---
Tested with xorg-x11-drv-i810-1.6.5-9.6.0.4.el5:

Esprimo DVI / VGA: OK / OK
T61 DVI lid closed: OK
T61 VGA lid open /lid closed: OK / OK

-- Hans-Gerd
---snap---
Comment 9 Navid Sheikhol-Eslami 2008-03-04 09:01:33 EST
This feedback applies to the latest test packages and is not directly related to
this particular monitor (as it happens with any external display connected).

Case A)

1. start the laptop without external screen
2. login to gdm
3. connect external display via VGA
4. Fn+F7 -> external display switches on
5. disconnect VGA cable
6. run gnome-display-properties or xrandr
7. X server crashes

Case B)

1. start the laptop without external screen
2. login to gdm
3. connect display via VGA or DVI
4. Fn+F7 -> external display switches on
5. disconnect DVI/VGI cable
6. press Fn+F7
7. mouse gets lost
8. gnome-display-properties (change the resolution to panel)
9. mouse comes back

According to Kevin (during last Thursday's call), these two are known issues
which we are already trying to address.

-- Navid
Comment 10 Larry Troan 2008-03-05 11:12:51 EST
> According to Kevin (during last Thursday's call), these two are known issues
> which we are already trying to address.
Do you have the other Bug or Issue Tracker numbers for these issues?
Comment 13 Adam Jackson 2008-04-01 17:50:41 EDT
Should be fixed in 1.6.5-9.8.el5 already.  MODIFIED.
Comment 15 Alan Matsuoka 2008-04-01 19:41:36 EDT
I don't have the hardware to verify this.
Comment 19 Cameron Meadors 2008-04-08 15:44:02 EDT
Verified per comment #18 and internal testing.
Comment 21 errata-xmlrpc 2008-05-21 10:35:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0420.html

Note You need to log in before you can comment on or make changes to this bug.